Subject: [Iptel] PSTN GW Contact

From: Srivatsa Srinivasan <[email-masked]>
Date: Wed, 22 Nov 2006 16:21:51 -0800

Have been looking through RFC 3840 (capabilities) and other drafts in IPTEL that define parameters to store or convey PSTN-related state.

http://www.ietf.org/internet-drafts/draft-ietf-iptel-trunk-group-09.txt

http://www.ietf.org/internet-drafts/draft-sivachelvan-iptel-call-type-00.txt

The question is relatively simple: is there a standard capability or some such defined such that a client (or some entity in the network) can learn that this is a PSTN GW feature that it would be invoking or talking to prior to sending an INVITE to that GW? With the few minutes of searching that I have done, I have not been able to find something simple.

Specifically, the case I am referring to is a consultative transfer where two parties are having a leg over PSTN and then the third-party is consulted and later transferred to replace the previous PSTN leg. That would involve sending a REFER to the third-party with the Refer-to being the Contact of the GW instead of the original sip URI with user=phone (for various reasons).

An earlier question about the PSTN GW Contact: http://www1.ietf.org/mail-archive/web/sip/current/msg07258.html

If the PSTN GW could return a feature parameter i.e. a capability indicating that the Contact is a PSTN GW, then the Refer-to could have a feature parameter letting the referee know that this is a PSTN call regardless of what the Refer-to URI contains. The specific need is more from the referee's UI point of view where it is useful to have this kind of information prior to receiving a connected-party or some such indication after receiving a final response from the GW. But this could serve more purposes than just that.

-- Srivatsa.

_______________________________________________
Iptel mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/iptel